Licence


#1

Would it be possible to get Pyblish under a LGPL v.2.1. licence? Unfortunately, our legal team does not accept LGPL v.3 and we really would like to use Pyblish.


#2

Hi @arturgodowski, thanks for the question; personally I can’t see a problem with it, but legally I honestly don’t know.

If you are able to enquire with your legal department as to whether or not it is possible, and if so how to make sure, then I’d be happy to see what I can do about it. The potential problems I see is (1) re-licensing of external contributions to Pyblish, whether that possible at all, and (2) other companies that may depend on it being LGPL 3 that cannot accept 2.1. If both of those as OK, then I’d imagine we could dual-license Pyblish as both LGPL 3 and 2.1, whereby you choose the licence that suits your purpose.

Let me know what you think.